package de.htwsaar.webshop.repository;

import de.htwsaar.webshop.repository.entities.FarmImage;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.UUID;

@Repository
public interface FarmImageRepository extends JpaRepository<FarmImage, Long> {

    FarmImage findFarmImageById(Long id);

    FarmImage findFarmImageByArticle_Uuid(UUID articleUuid);

    FarmImage findFarmImageByStandard(boolean standard);
}
